Skip to main content
GET
/
invoices
cURL
curl --request GET \
  --url http://dolfin-service-973993966394.europe-west2.run.app/invoices
{
  "data": [
    {
      "currency": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "documentNumber": "<string>",
      "issueDate": "2023-11-07T05:31:56Z",
      "dueDate": "2023-11-07T05:31:56Z",
      "status": "Draft",
      "subTotal": 123,
      "taxAmount": 123,
      "totalAmount": 123,
      "memo": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "lineItems": [
        {
          "description": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "quantity": 123,
          "unitPrice": 123,
          "taxAmount": 123,
          "subTotal": 123
        }
      ]
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Query Parameters

Cursor
string
Limit
default:20
Status
string
CustomerId
string<uuid>
IssueDateFrom
string<date-time>
IssueDateTo
string<date-time>

Response

200 - application/json

OK

data
object[]
nextCursor
null | string
hasMore
boolean